Name:       sparse
Version:    0.4.3
Release:    1
Summary:    A semantic parser of source files
Group:      Development/Tools
License:    OSL 1.1
URL:        http://www.kernel.org/pub/software/devel/sparse/
Source0:    http://www.kernel.org/pub/software/devel/%{name}/dist/%{name}-%{version}.tar.bz2
Source1:    http://www.kernel.org/pub/software/devel/%{name}/dist/%{name}-%{version}.tar.bz2.sign
Patch0:     %{name}-%{version}-aix.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc, coreutils
BuildRequires: libxml2-devel >= 2.6.31
Requires:      libxml2 >= 2.6.31


%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library.  Scanty and meager,
and partly because of that easy to use.  It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis.  It's not a tokenizer, nor is it some generic context-free
parser.  In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

Sparse is primarily used in the development and debugging of the Linux kernel.


%package devel
Summary: Build environment for sparse-enabled apps
Group: Development/Libraries
Requires: pkg-config

%description devel
Development headers headers and static lib for sparse-enabled apps


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags} \
    DESTDIR=${RPM_BUILD_ROOT} \
    PREFIX=%{_prefix} \
    MANDIR=%{_mandir} \
    CC="gcc" \
    CFLAGS="-O -I/opt/freeware/include -DSYSV -D_AIX -D_ALL_SOURCE -DFUNCPROTO=15 -DGCC_BASE=\\\"`gcc --print-file-name=`\\\" -I/opt/freeware/include/gtk-2.0 -I/opt/freeware/include/cairo -I/opt/freeware/include/glib-2.0 -I/opt/freeware/include/pango-1.0"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/freeware/bin:$PATH
gmake install \
    DESTDIR=${RPM_BUILD_ROOT} \
    PREFIX=%{_prefix} \
    MANDIR=%{_mandir} \
    CC="gcc" \
    CFLAGS="-O -I/opt/freeware/include -DSYSV -D_AIX -D_ALL_SOURCE -DFUNCPROTO=15"

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE README FAQ
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%files devel
%defattr(-,root,system,-)
%doc LICENSE
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
/usr/include/*
/usr/lib/*.a


%changelog
* Mon Jul 09 2012 Michael Perzl <michael@perzl.org> - 0.4.3-1
- updated to version 0.4.3

* Tue Sep 09 2008 Michael Perzl <michael@perzl.org> - 0.4.1-1
- first version for AIX V5.1 and higher
